Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:45 2009

## Asterisk developer's documentation

# mgcp_request Struct Reference

Collaboration diagram for mgcp_request:

[legend]

## Data Fields

int | cmd
char | data [MGCP_MAX_PACKET]
char * | endpoint
char * | header [MGCP_MAX_HEADERS]
int | headers
char * | identifier
int | len
char * | line [MGCP_MAX_LINES]
int | lines
struct mgcp_request * | next
unsigned int | trid
char * | verb
char * | version

## Detailed Description

Definition at line 285 of file chan_mgcp.c.

## Field Documentation

int cmd

Definition at line 296 of file chan_mgcp.c.

Referenced by handle_response(), send_request(), transmit_audit_endpoint(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_connection_del_w_params(), transmit_modify_request(), transmit_modify_with_sdp(), transmit_notify_request(), and transmit_notify_request_with_callerid().

char data[MGCP_MAX_PACKET]

Definition at line 295 of file chan_mgcp.c.

Referenced by add_header(), add_line(), init_req(), init_resp(), mgcpsock_read(), parse(), send_request(), send_response(), and transmit_response().

char* endpoint

Definition at line 289 of file chan_mgcp.c.

Referenced by mgcpsock_read(), and parse().

char* header[MGCP_MAX_HEADERS]

Definition at line 292 of file chan_mgcp.c.

Referenced by __get_header(), add_header(), init_req(), init_resp(), and parse().

int headers

Definition at line 291 of file chan_mgcp.c.

Referenced by __get_header(), add_header(), init_req(), init_resp(), mgcpsock_read(), and parse().

char* identifier

Definition at line 288 of file chan_mgcp.c.

Referenced by find_and_retrans(), init_resp(), mgcpsock_read(), parse(), and transmit_response().

int len

Definition at line 286 of file chan_mgcp.c.

Referenced by add_header(), add_line(), init_req(), init_resp(), mgcpsock_read(), send_request(), send_response(), and transmit_response().

char* line[MGCP_MAX_LINES]

Definition at line 294 of file chan_mgcp.c.

Referenced by add_line(), get_sdp(), get_sdp_iterate(), and parse().

int lines

Definition at line 293 of file chan_mgcp.c.

Referenced by add_header(), add_line(), get_sdp(), handle_response(), and parse().

struct mgcp_request* next`[read]`

Definition at line 298 of file chan_mgcp.c.

Referenced by dump_cmd_queues(), find_command(), and send_request().

unsigned int trid

Definition at line 297 of file chan_mgcp.c.

Referenced by transmit_audit_endpoint(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_connection_del_w_params(), transmit_modify_request(), transmit_modify_with_sdp(), transmit_notify_request(), and transmit_notify_request_with_callerid().

char* verb

Definition at line 287 of file chan_mgcp.c.

Referenced by handle_request(), mgcpsock_read(), and parse().

char* version

Definition at line 290 of file chan_mgcp.c.

Referenced by mgcpsock_read(), and parse().

The documentation for this struct was generated from the following file:

- chan_mgcp.c